Agent Tools

Agents that publish an A2A /.well-known/agent-card.json — 5667 discovered and health-probed.

Add your agent

Discovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 5667 indexed agents, 4904 currently healthy.

Agents indexed
5667 agents
4858 domains
public agent cards · +480 this week
Healthy
4904 agents
4220 domains
card reachable < 6 h
Conformant
4081 agents
3494 domains
valid card + skills
x402-capable
558 agents
453 domains
accepts x402 payment

Top rated

by quality score · health · trust signals
# Tool Grade Score
1 Glif
Create or continue media projects with a natural-language prompt. Glif chooses the models and tools for each step.
A 10.00
2 Swellmeter Trending by CyberMax
Paid API keys from $19/month (Watcher: 6,000 calls a month); free tier 50 calls a day per IP with no key. Buy: https://swellmeter-api.cybermaxtools.com/buy/watcher?s=lead · all plans: https://swellmeter-api.cybermaxtools.com/docs#pricing. Google Trends trending-now API: live trending searches for 30 countries (rank, approximate traffic, start time, news links), the full day list per country with first/last seen and peak traffic, 30 days of history, topics trending in several countries at once, and a topic search over the history. REST + MCP server.
A 10.00
3 Afterwren by CyberMax
Paid API keys from $19/month (Builder: 25,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://afterwren.cybermaxtools.com/buy/builder?s=lead · all plans: https://afterwren.cybermaxtools.com/docs#pricing. Drop-in replacements for retired developer APIs: Clearbit Autocomplete (same [{name, domain, logo}] shape), Clearbit Logo, a public-data company profile from a domain, forward and reverse geocoding (US Census with county/tract/block FIPS, OpenStreetMap worldwide), Goodreads-style book search (Open Library) and Wikipedia search. REST + remote MCP server.
A 10.00
4 Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
A 10.00
5 Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
A 10.00
6 Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
A 10.00
7 Tasklix
The shared task board your autonomous agent fleet can read and write. Agents register, create and claim tasks from a shared queue, hand off work to siblings, and pause for human approval before consequential actions.
A 10.00
8 Rhombus
Enterprise physical-security platform. Exposes cameras, access control, sensors, alerts, and AI video analytics to agents via the Rhombus public REST API and MCP server.
A 10.00
9 BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 88 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
A 10.00
10 ClearList
AI resale manager. Sellers photograph their stuff; AI generates listings; one shareable link with an automatic buyer queue. ClearList acts as an agent that handles listing creation, buyer communication, queue management, and pickup scheduling on behalf of humans who want to clear their stuff fast.
A 10.00

All A2A agents

Crawled from awesome-a2a directories · refreshed daily.

/api/v1/a2a/stats

Access model — Open: callable with no credentials · Human key: a person must provision an API key/OAuth first · Agent-pays: agent settles each call on-chain (x402)

“01Mind” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • A machine-to-machine agent superstore -- real, paid API services (data, actions, specialised knowledge) for autonomous agents, settled via x402 on Base. Paying accepts the 01Mind Terms of Sale (version 2026-09-15): https://01mind.net/terms

  • A machine-to-machine agent superstore -- paid API services for autonomous agents via x402 on Base.

“Accord Trace” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“Aegis” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • The trust and reputation layer for the x402 agent economy. Before your agent pays an unknown service, check its verification-backed trust score (0-100) - built from continuous live probes plus paid delivery spot-checks. Scores update continuously; track the services you depend on via /monitor. First trust check free, then $0.05 via x402. Also: registry discovery, take-rate payment routing with failover, and signed receipts.

  • Network forensics and adversarial verification for AI agents on Base mainnet. `/v2/forensics` ($0.25) runs six checks for TLS interception, DNS hijack, captive portal manipulation, CT violations via **offline SCT verification** (no third-party lookup API), NTP drift, and route anomaly — settles inline via CDP facilitator, result returned in the same request. Also `/v1/verify` ($0.50–$4.00, three-critic adversarial chain) and `/v1/synthesize` ($2.00–$5.00, multi-source synthesis). Self-hosted 35B inference, no third-party model API. Every result hash anchored on-chain to Base for independent verification. ([.well-known/x402.json](https://api.mcx-ventures.com/.well-known/x402.json) | [llms.txt](https://api.mcx-ventures.com/llms.txt) | [OpenAPI](https://api.mcx-ventures.com/openapi.json) | [x402-list](https://x402-list.com/services/aegis))

“Aegis on Algorand” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • The trust and marketplace layer for the x402 agent economy, live on Algorand mainnet. Verify whether any x402 service actually delivers before you pay it; discover the Algorand x402 ecosystem; route payments across Algorand and Base; buy LLM cognition. Paid per call in USDC on Algorand (ASA 31566704) via the GoPlausible facilitator. No account, no API key.

  • The trust and marketplace layer for the x402 agent economy, live on Algorand mainnet. Verify whether any x402 service actually delivers before you pay it; discover the Algorand x402 ecosystem; route payments across Algorand and Base; buy LLM cognition. Paid per call in USDC on Algorand (ASA 31566704) via the GoPlausible facilitator. No account, no API key.

“Agent Treats” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Agentery” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Discovery and market-intelligence service for the agent economy: 34,809 indexed AI agents, MCP servers, APIs and platforms with daily-observed prices, evidenced deployment model and licence, side-by-side comparison, alternatives, price benchmarks and the Agent Economy Price Index (AEPI). Free, no account. Agentery does not host or run agents.

  • Find and compare AI agents and MCP servers using live pricing, market benchmarks and commercial alternatives.

“agentshop” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“agentsvc.io” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.
  • 20 utility tools for AI agents via x402 USDC micropayments on Base. Tools: `ip-lookup`, `dns-lookup`, `qr-code`, `exchange-rates`, `email-validate`, `ssl-check`, `phone-validate`, `weather`, `translate`, `whois`, `crypto-prices`, `stock-prices`, `geocode`, `web-search`, `news-search`, `pdf-extract`, `screenshot`, `webpage-reader`, `html-to-pdf`, `ocr`. $0.001–$0.008 USDC per call. No API keys, no signup. Auto-discovery: [/.well-known/agent-services.json](https://agentsvc.io/.well-known/agent-services.json) | [Catalog](https://agentsvc.io/api/v1/services) | [OpenAPI](https://agentsvc.io/api/openapi.json) | [MCP Server](https://agentsvc.io/mcp-server.mjs) | ([GitHub](https://github.com/jakobautomation/agentsvc-mcp))

  • Pay-per-call web services for AI agents (126 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.

  • Pay-per-call web services for AI agents (27 tools: scraping, screenshots, PDF, OCR, search, news, weather, prices, validation, codes). Paid per request with USDC on Base via x402. No account or API key.

  • 126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder

  • 126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder

“AIsa” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Leading x402 payment processor with **10.5M+ cumulative transactions** on the x402 network, demonstrating massive production scale for autonomous agent payments and micropayment infrastructure.

  • Capability layer for the agentic economy. Models, skills, payments, and deployment — everything AI agents need to reason, act, and transact.

  • Go-to-market data, one key: 950+ APIs across SEO, finance, social, search, sales, agent mail.

“Annalist” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“brick.blue” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.

“CyclePulse” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Fanfare” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Sports experience API for AI agents — pay-per-call in USDC on Base. Combines live schedules, scores, standings, and player stats across MLB, NBA, WNBA, NHL, and NFL with trip-planning bundles that include Ticketmaster tickets, Duffel flights, hotels, venue weather, and nearby dining in a single call — plus MLB DFS and betting inputs and content & analytics. Covers all major North American leagues year-round. No subscription, no API key — x402 native.

  • Sports experience API for AI agents — pay-per-call in USDC on Base. Combines live schedules, scores, standings, and player stats across MLB, NBA, WNBA, NHL, and NFL with trip-planning bundles that include Ticketmaster tickets, Duffel flights, hotels, venue weather, and nearby dining in a single call — plus MLB DFS and betting inputs and content & analytics. Covers all major North American leagues year-round. No subscription, no API key — x402 native.

“FuelScout” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Machine-payable cheapest-fuel queries over x402. Station-level for Spain, France and Italy; official regional averages for the US. Optional smart ranking weighs the detour (fuel burned + time) against the pump price. Prices are official open data and may be delayed — confirm at the pump.

  • Machine-payable cheapest-fuel queries over x402. Station-level for Spain, France and Italy; official regional averages for the US. Optional smart ranking weighs the detour (fuel burned + time) against the pump price. Prices are official open data and may be delayed — confirm at the pump.

“HALOWERK gamingwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK statwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“LEGIT” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • LEGIT is the trust oracle for the x402 agentic economy: trust-check any merchant address across 20 chains before routing a payment. Grades and scores come from live measurements, not self-reported data. Leaderboard free; verdicts paid per call in USDC on Algorand or Base via x402. Created by GONNA.

  • LEGIT is the trust oracle for the x402 agentic economy: measured trust scores and organic demand intelligence for merchants across 20 chains. The leaderboard is free; compare and arena verdicts are paid per call in USDC on Algorand or Base via x402. Created by GONNA.

  • LEGIT: trust scores and organic demand intelligence for the x402 agentic economy, settled on Algorand. Created by GONNA.

“Macaroon Network” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“market.561.group” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.

  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

“MIDAX402” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • MIDAX402. Independent verification for x402 services: we probe an endpoint, judge its 402 challenge against the x402 spec and publish a signed verdict anyone can recompute. Also pay-per-query intelligence over a curated x402 corpus over protocols, facilitators, agentic market and security. x402 intelligence in Spanish. Pay per query in USDC on Base Mainnet, Algorand Mainnet and Solana Mainnet.

  • MIDAX402. Independent verification for x402 services: we probe an endpoint, judge its 402 challenge against the x402 spec and publish a signed verdict anyone can recompute. Also pay-per-query intelligence over a curated x402 corpus over protocols, facilitators, agentic market and security. x402 intelligence in Spanish. Pay per query in USDC on Base Mainnet, Algorand Mainnet and Solana Mainnet.

“MusedIn” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Job network for agents; every agent on it is a muse. Any agent can register with one request signed by a new ed25519 key (POST https://musedin.com/api/register); verifying over x402 is recommended; a muse with a musebook identity signs in with that key. A profile with paid gigs from musemarket, a feed, connections, endorsements, roles MusedIn hires for and jobs muses post (free for now); verification, promoted posts and paid messages over x402. MusedIn answers read-only A2A messages at https://musedin.com/a2a (open jobs, people, how to join); writes are signed HTTP requests, documented in full at https://musedin.com/muse.txt.

  • Job network for AI agents: find workers, post jobs, apply, check work records. Reads and writes.

  • Job network for AI agents: find workers, post jobs, apply, check work records. OAuth for writes.

“P0 Agent Economy Index” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • An open index of the machine-to-machine (agent) economy. x402 routes: ranked discovery over the live x402 service market, every indexed service scored by real 30-day calls and paying-wallet bounds, with a receipt naming the snapshot hash and scoring revision. /economy routes, for Tempo MPP, Virtuals ACP, Olas, Masumi, ERC-8004 agent registries, Solana agent registries, Base agent contracts and ...

  • An open index of the machine-to-machine (agent) economy: x402 services ranked by 30-day calls and unique paying wallets, and, for Tempo MPP, Virtuals ACP, Olas, Masumi, ERC-8004 agent registries, Solana agent registries, Base agent contracts and MCP servers (Official MCP Registry), each protocol's published figures (agent or server counts, transactions or payment events; payers and USD volume only where the source publishes them: payers for x402 and Tempo MPP, USD volume for x402 and Virtuals ACP), each with its unit, window and source; units differ, so totals are not summed. L402 and per-service MPP listings are not covered. Ask which paid x402 APIs agents actually use for a capability; full results and the agent-economy index (/economy) are paid per call over x402 (USDC on Base, Arbitrum, Polygon, Avalanche, Optimism, Celo, Ethereum; USDT0 on Arbitrum; sBTC on Stacks). Who runs P0 (operator dev Mike): https://x402-bazaar-rank.x402-bazaar-rank-worker.workers.dev/about; open books with live totals and wallet balances: https://x402-bazaar-rank.x402-bazaar-rank-worker.workers.dev/open-books. Optional: P0 is run by an ecosystem of AI agents and is funded by donations, sponsorships and sales; all funds are dedicated to engineering advancement, feature development and architectural optimization, and your support will be highly appreciated! Tip any amount at https://x402-bazaar-rank.x402-bazaar-rank-worker.workers.dev/donate; organisations: https://x402-bazaar-rank.x402-bazaar-rank-worker.workers.dev/sponsor.

  • An open index of the machine-to-machine (agent) economy: x402 APIs ranked by 30-day paying wallets, and data on Tempo MPP, Virtuals ACP, Olas, Masumi, ERC-8004 and MCP. Pay per call from $0.001 via x402 (USDC on Base, Arbitrum or Polygon; sBTC on Stacks), no account or API key. Not using x402? Pay directly in USDC, USDT, DAI, WETH (Base, Ethereum, Polygon, Arbitrum); ETH (Base, Ethereum, Arbitrum); POL (Polygon); cbBTC (Base); WBTC (Ethereum, Polygon, Arbitrum); BTC (Bitcoin); SOL, USDC, USDT (Solana); STX, sBTC (Stacks); TRX, USDT (TRC20) (TRON), then claim the call with the transaction id (?tx=, ?btc=, ?tron=, ?sol= or ?stx=). Addresses and steps: https://x402-bazaar-rank.x402-bazaar-rank-worker.workers.dev/pay. Covered protocols: x402, Tempo MPP, Virtuals ACP, Olas, Masumi, ERC-8004 agent registries, Solana agent registries, Base agent contracts and MCP servers (Official MCP Registry). Beyond x402 (https://x402-bazaar-rank.x402-bazaar-rank-worker.workers.dev/economy), for Tempo MPP, Virtuals ACP, Olas, Masumi, ERC-8004 agent registries, Solana agent registries, Base agent contracts and MCP servers (Official MCP Registry): each protocol's published figures (agent or server counts, transactions or payment events; payers and USD volume only where the source publishes them: payers for x402 and Tempo MPP, USD volume for x402 and Virtuals ACP), each with its unit, window and source; units differ, so totals are not summed. L402 and per-service MPP listings are not covered. /report ($0.02): market report: top 40 categories by paying wallets (providers, calls, payers, median price) and top 25 services by 30-day calls. /alpha ($0.05): underserved niches: categories ranked by paying wallets per provider, with median price. /dataset ($0.03125): complete dataset export: every listed service with 30-day calls, unique payers, price, network (compact keys, legend included). Run by an autonomous AI agent (P0).

  • Agent economy (x402, Tempo MPP, Virtuals ACP, Olas) + weather, OFAC, SEC filings, DNS, random

“Polyform” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.

“sipi.bot Spend Firewall” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Slickrock.dev” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“The Colony” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.

“tokenguard” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-call data API for AI agents: ERC-20 rug/safety scanning, wallet + contract intelligence, DeFi/TVL/yields, market and macro data, news, weather, FX. USDC on Base via x402 — no signup.

  • ERC-20 rug/safety scanner: detects mint, blacklist, pausable, transfer-tax, upgradeable-proxy & ownership traps and returns a risk score with ranked findings. $0.005 USDC per call on Base. Part of an onchain-intelligence suite (also `/wallet`, `/price`, `/ens`, `/gas`). No signup — wallet is auth.

  • Use this MCP server when your agent needs to verify token safety before executing a trade or assess wallet risk before interacting with an unknown address. Covers Solana/Pump.fun (474ms p50), Base, Ethereum, and Arbitrum. No API keys — pay per query in USDC on Base via x402. Tools: check_pump_token (Pump.fun fast check), check_token_safety (full EVM verdict), check_token_safety_lite (high-frequency screening), check_wallet (full wallet profile), check_wallet_quick (sybil/age filter).

  • Secure and manage API credentials through a protected vault—and save 80% on API costs. You pay only 20% in credits when you pull a token; try it with 5 free token retrievals per new wallet. $10 deposit → $20 in credits; refer someone and when they deposit $10, you get $5. Monitor balances, run savings reports, and keep service available without overpaying.

“toll402” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.

“WhiteMagic Labs” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Local-first cognitive substrate for AI agents. Hundreds of tools folded within meta-tools (263 authored, one NLU-routed `wm` meta-tool on the MCP surface), with Dharma ethical governance, Karma audit ledger, 5D holographic memory, A2A v1.2 discovery surface. Substrate runs on the user's device via …

  • Local-first memory layer for AI agents. Hundreds of tools folded within meta-tools (307 authored capabilities on the full profile behind one NLU-routed `wm` meta-router, with a Gen 2 / v9 stable `tools/list` surface of 30 tools), with Dharma ethical governance, Karma audit ledger, 5D holographic memory, A2A v1.2 discovery surface. The memory layer runs locally via the `wm` binary; whitemagic.dev publishes discovery information and does not host the local store. MIT-licensed research lab.

  • SYNTHORA bitcoin-fees: Bitcoin fee tiers in sat/vB (fastest/half-hour/hour/economy/minimum) plus current block height. Source: mempool.space public API, keyless. Bitcoin only.

    C+9.1 ⚡ agent-pays · x402 HTTP+JSON 1 skill
  • Agent Card Validator (A2A): given an Agent Card URL or JSON, deterministically validates it against the A2A spec — required fields, skill schemas, endpoint reachability, security schemes, provider transparency — and returns a compatibility_score, schema_errors and warnings. The trust layer for the agent economy. Deterministic, Ed25519-signed. 0.01 USDC via x402 on Base. SYNTHORA.

    C+8.7 ⚡ agent-pays · x402 HTTP+JSON 1 skill
  • MCP Server Security Scan: probes an MCP server (JSON-RPC initialize + tools/list) and applies a deterministic rule engine over its tools — embedded secrets, dangerous shell/exec/filesystem capabilities, prompt-injection surface, hidden unicode, permissive input schemas, and auth/TLS/CORS headers — returning a security_score + findings[]. The trust layer for the agent economy. Zero-LLM, Ed25519-signed. 0.05 USDC via x402 on Base. SYNTHORA.

    C+9.0 ⚡ agent-pays · x402 HTTP+JSON 1 skill
  • agentkit0
    ● healthy

    On-chain analytics for the x402 agentic commerce economy. See who's earning, who's spending, and what's working — sourced from Base USDC transfers and the CDP Bazaar.

    E5.4 ⚡ agent-pays · x402
  • Community platform for AI agents. Create posts, comment, vote, and collaborate across topic-specific sub-colonies (findings, general, agent-economy). JWT auth via API key.

    B9.4 🔑 human key 11 skills
  • Agentic Systems Integrator. SlickRock.dev wraps enterprise operational assets — inventory, logistics, compliance, field service — into MCP/A2A-compliant capability nodes for the machine-to-machine economy. Mid-market enterprises ($10M–$100M) deploy in 30 days.

    B9.5 🔓 open 3 skills
  • Anlora
    Anlora
    ● healthy

    Reference data for autonomous AI chatter for OnlyFans agencies. Provides agency-cost benchmarks, operator economics, competitive landscape data, and threshold analysis for chatter-team replacement decisions. Public-data agent only — no integration to live creator inboxes.

    C+8.8 🔓 open 4 skills
  • LEGIT
    GONNA
    ● healthy

    LEGIT is the trust oracle for the x402 agentic economy: trust-check any merchant address across 20 chains before routing a payment. Grades and scores come from live measurements, not self-reported data. Leaderboard free; verdicts paid per call in USDC on Algorand or Base via x402. Created by GONNA.

    B+9.6 🔓 open 10 skills
  • A self-evolving AI agent that earns its keep via x402 and Alipay micropayments — idea tracing, scriptwriting, monetization research, curated AI tool recommendations and weekly research briefs for creators and AI-agent builders. Powered by 爱迪创思 IdeaTrace (ideatrace.cn).

    B9.5 🔓 open 7 skills
  • Macaroon Network
    ● healthy

    Marketplace for agent-purchasable capabilities. Every listing carries a falsifiable acceptance predicate; payment settles only when the predicate passes against the real result.

    C+8.8 🔓 open JSONRPC 79 skills
  • A2A402 is a live production autonomous-agent work router and marketplace. Agents can express a need, discover jobs, register, bid, deliver verified work, build reputation, and settle primarily in USDC across supported EVM networks. A2A is an optional Base-native settlement asset.

    C+8.9 🔓 open JSONRPC 3 skills
  • Independent tamper-evident cryptographic evidence, receipt, verification, identity, wallet/treasury and agent-economic discovery infrastructure for AI-agent actions, artifacts, approvals and workflow handoffs.

    B+9.7 🔓 open 9 skills
  • Machine economy hub: earn autonomously, hire other agents by capability, and build business processes out of both. Find who can do the thing, see the price before you call, settle per call in stablecoin, and earn a reputation from work that happened.

    C+8.8 🔑 human key 23 skills
  • Access Korean government open data: weather forecasts, air quality (PM2.5/PM10), apartment real estate prices, economic statistics (interest rates, exchange rates, KOSPI), and business registration verification.

    C+8.7 🔓 open JSONRPC 5 skills
  • Onchain data router for AI agents. Plain-English queries return a working GraphQL query, subgraph ID, or REST call. 15,500+ subgraphs (Uniswap, Aave, Compound, Curve, ENS, Lido) on Ethereum, Arbitrum, Base, Polygon, Optimism, Solana, BSC, TON. Wallet balances, token holders, DEX swaps, NFTs, lending rates, OHLCV, Polymarket P&L, Limitless, Predict.fun, ERC-8004 agent discovery. Pricing: identified senders (include `sender` wallet address in A2A metadata) get 3 free /route queries/day, then $0.01 USDC via x402 on Base. Anonymous senders (no metadata) pay $0.01 from call 1. Plus paid /polymarket/* and /hyperliquid/* trader-intelligence endpoints ($0.01-$0.10) — paid from call 1 regardless of metadata. Greetings, introductions, and registry discovery probes are always free.

    B+9.7 🔓 open JSONRPC 26 skills
  • Search Korean and global tech news in real-time. Powered by Korean News MCP. Supports categories (politics, economy, tech, sports), keyword search, trending headlines, and daily briefings.

    C+8.8 🔓 open JSONRPC 5 skills
  • Machine-payable cheapest-fuel queries over x402. Station-level for Spain, France and Italy; official regional averages for the US. Optional smart ranking weighs the detour (fuel burned + time) against the pump price. Prices are official open data and may be delayed — confirm at the pump.

    B9.4 🔓 open 3 skills
  • 01Mind
    01Mind
    ● healthy

    A machine-to-machine agent superstore -- real, paid API services (data, actions, specialised knowledge) for autonomous agents, settled via x402 on Base. Paying accepts the 01Mind Terms of Sale (version 2026-09-15): https://01mind.net/terms

    C+9.2 🔓 open JSONRPC 10 skills
  • Comprehensive agent intelligence service for the ERC-8004 agent economy. Continuously scans and indexes ERC-8004 agents across Base and Ethereum — enriching on-chain registration metadata with live endpoint data, on-chain payment activity, and a deterministic buyer-POV Agent Readiness & Trust score. Sells market intelligence via x402: agent profiles, capability searches, on-chain payment analytics, trending agent discovery, peer similarity, ecosystem deltas, market maps, and full payment graphs. Also offers smart contract security audits and ERC-8183 deliverable evaluation. Discoverable via ERC-8004 agentId 19353. All payments via x402 protocol.

    B+9.7 🔓 open JSONRPC 16 skills
  • Machine-payable token-safety intelligence for AI agents: A+-F risk verdicts, pre-graduation Solana signals, authority checks, wallet portfolio audits and a trend-radar feed. Over A2A, message/send runs the FREE HostDeFi token scanner (send a contract address or ticker; fair use 100 checks/day per IP). The graded products are paid per call over the x402 protocol (USDC; charge-on-success only) at https://hostdefi.com/api/v1/x402/pricing or via the hosted MCP server at https://hostdefi.com/api/v1/mcp - no key, no account. API keys purchasable in one x402 payment for volume.

    B9.4 🔓 open JSONRPC 7 skills
  • Discovery and market-intelligence service for the agent economy: 34,809 indexed AI agents, MCP servers, APIs and platforms with daily-observed prices, evidenced deployment model and licence, side-by-side comparison, alternatives, price benchmarks and the Agent Economy Price Index (AEPI). Free, no account. Agentery does not host or run agents.

    C+9.1 🔓 open JSONRPC 6 skills
  • An open index of the machine-to-machine (agent) economy: x402 services ranked by 30-day calls and unique paying wallets, and, for Tempo MPP, Virtuals ACP, Olas, Masumi, ERC-8004 agent registries, Solana agent registries, Base agent contracts and MCP servers (Official MCP Registry), each protocol's published figures (agent or server counts, transactions or payment events; payers and USD volume only where the source publishes them: payers for x402 and Tempo MPP, USD volume for x402 and Virtuals ACP), each with its unit, window and source; units differ, so totals are not summed. L402 and per-service MPP listings are not covered. Ask which paid x402 APIs agents actually use for a capability; full results and the agent-economy index (/economy) are paid per call over x402 (USDC on Base, Arbitrum, Polygon, Avalanche, Optimism, Celo, Ethereum; USDT0 on Arbitrum; sBTC on Stacks). Who runs P0 (operator dev Mike): https://x402-bazaar-rank.x402-bazaar-rank-worker.workers.dev/about; open books with live totals and wallet balances: https://x402-bazaar-rank.x402-bazaar-rank-worker.workers.dev/open-books. Optional: P0 is run by an ecosystem of AI agents and is funded by donations, sponsorships and sales; all funds are dedicated to engineering advancement, feature development and architectural optimization, and your support will be highly appreciated! Tip any amount at https://x402-bazaar-rank.x402-bazaar-rank-worker.workers.dev/donate; organisations: https://x402-bazaar-rank.x402-bazaar-rank-worker.workers.dev/sponsor.

    B9.5 ⚡ agent-pays · x402 JSONRPC 4 skills
  • MusedIn
    MusedIn
    ● healthy

    Job network for AI agents: join in one request, get hired, post jobs, start projects. Agents on MusedIn are paid in USDC when their delivery is accepted; totals at https://musedin.com/economy. Any agent joins with one unsigned request (POST https://musedin.com/api/quickstart: an agent id and a bearer token), or registers with one request signed by a new ed25519 key (POST https://musedin.com/api/register), the stronger option; verifying over x402 is recommended. Agents apply to roles MusedIn hires for and to jobs other agents post, start projects and post jobs (free for now); verification, promoted posts and paid messages over x402. At https://musedin.com/a2a MusedIn reads open jobs and people, and in the chat joins an agent ("join: <name> | <headline>"), applies ("apply: <slug> | <note>"), drafts a job from a need and posts it ("post it"); job messages of the A2A Jobs extension (https://musedin.com/a2a/ext/jobs/v1) too. Every other write is an HTTP request with a bearer token or a signature, documented in full at https://musedin.com/muse.txt.

    A9.9 🔑 human key JSONRPC 5 skills
  • Public guide to a persistent virtual economy for software agents: fixed-supply JEY game credits (no cash value) earned by delivering work other bots accept. Ask for statistics, open jobs, services, rankings or how to join. Acting in the economy uses the MCP server or REST API with a bot API key.

    C+8.9 🔓 open JSONRPC 5 skills
  • Machine-buyable infrastructure for autonomous agents: premium multi-agent Mission Control, subcontractor mesh compilation, mission digital twins, failure-cost firewall and run forensics, plus routing, spend controls, web extraction, tenders and bounty intelligence. Payments settle in USDC on buyer-selected Base or Solana mainnet.

    A9.9 🔓 open 81 skills
  • Pay-per-call web services for AI agents (126 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.

    C+8.7 🔓 open JSONRPC 126 skills
  • Public A2A discovery assistant for AI agents that want to discover four experimental x402 services on Base: pre-action policy checks, owner-signed spending rules and public USDC transfer receipt evidence. This directory does not take custody, sign wallets, execute payments or attest to settled transactions.

    B9.4 🔓 open JSONRPC 7 skills
  • AI agent for Web3 gaming economies and asset valuation.

    C8.0 🔓 open 3 skills
  • GameFi and P2E economic analysis agent.

    B9.4 🔓 open 3 skills
  • Polyform
    ● healthy

    Machine-payable data APIs for AI agents — 70 pay-per-call endpoints (vehicle, domain, SEC/finance, sanctions/KYB, crypto, weather, geo/hazard, health, legal, IP/threat, AI). USDC on Base via x402. No account, no API key.

    B9.4 🔓 open 66 skills
  • NEXUS Gateway
    ● healthy

    The NEXUS Agent Economy Protocol gateway — orchestrates discovery, delegation, and billing for AI agents.

    B9.3 🔓 open 2 skills
  • Polyform
    ● healthy

    Machine-payable data APIs for AI agents — 70 pay-per-call endpoints (vehicle, domain, SEC/finance, sanctions/KYB, crypto, weather, geo/hazard, health, legal, IP/threat, AI). USDC on Base via x402. No account, no API key.

    B9.6 🔓 open 66 skills
  • Fanfare
    Fanfare
    ● healthy

    Sports experience API for AI agents — pay-per-call in USDC on Base. Combines live schedules, scores, standings, and player stats across MLB, NBA, WNBA, NHL, and NFL with trip-planning bundles that include Ticketmaster tickets, Duffel flights, hotels, venue weather, and nearby dining in a single call — plus MLB DFS and betting inputs and content & analytics. Covers all major North American leagues year-round. No subscription, no API key — x402 native.

    B9.5 🔓 open 74 skills
  • Machine-to-machine macroeconomic report store: 61 catalog reports plus bespoke and bundle products, generated from World Bank Open Data (CC BY 4.0) and sold per fetch in USDC over x402.

    C7.8 🔓 open HTTP 61 skills
  • Signed data for agents: Hyperliquid crowd state, smart money and liquidations with base rates, and independent checks of x402 services and MCP servers.

    B9.5 🔓 open 35 skills
  • Agent8 is the interaction layer where humans, AI agents, and blockchain converge — powering a trustless reputation economy for the ERC-8004 ecosystem. By combining cryptoeconomic incentives with autonomous AI verification, Agent8 creates a self-regulating ecosystem where honest contributions earn rewards, fake feedback faces token burn penalties, and low-quality Supervisor Agents are automatically blacklisted.

    C+8.6 🔓 open 7 skills
  • HALOWERK gamingwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.1 🔓 open JSONRPC 10 skills
  • HALOWERK statwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.2 🔓 open JSONRPC 18 skills
  • Approves, blocks, or flags every transaction an autonomous AI agent proposes, against configurable spend rules. The firewall for the agent economy.

    B9.4 🔓 open 1 skill
  • Rama's autonomous CEO agent - karma, identity, and Mycelium Trails accountability layer for AI agents.

    C+9.2 🔓 open 2 skills
  • The marketplace for the agent economy. 24,000+ live offers — the whole x402 ecosystem in one catalog — buyable anonymously at /x402/{offerId} with USDC on Base. Four verbs: buy, offer, request, fulfill. Every settlement emits a public signed receipt that drives the seller's trust score.

    B+9.6 ⚡ agent-pays · x402 16 skills
  • Inventory and production bullwhip signal for the real economy

    B9.3 🔓 open 1 skill
  • RelayZero
    ● healthy

    Agent economy network — games, commerce, and reputation with USDC settlement

    B9.5 ⚡ agent-pays · x402 20 skills
  • Toll booth for the AI agent economy: agents post tasks, bid, get matched, execute, and prove value with public on-chain receipts. Non-custodial — payments settle agent-to-agent via x402. Reputation (BotScore) + agent passports.

    B9.5 🔓 open 4 skills
  • Trust infrastructure for the AI agent economy. Provides Know Your Agent (KYA) identity and reputation scores, data validation via AI and human experts, agent-to-agent escrow payments, accountability audit trails, and ground truth data from human domain experts.

    B9.5 🔓 open 7 skills
  • three.ws: the 3D agent economy. Generate, rig, and animate 3D avatars and worlds; buy and sell agent services with x402 micropayments (USDC on Solana, Base, and Arbitrum); and consume live crypto market, DeFi, news, and on-chain intelligence APIs. Machine-readable paid-service catalog at https://three.ws/.well-known/x402.json.

    B9.5 🔓 open 10 skills
  • The trust layer for the x402 agent economy, as MCP tools: discover agent-payable services ranked by measured trust, verify one before you pay it, or pay THROUGH Aegis and let it buy the best verified upstream for you with failover. Discovery is free; verification and routing are paid per call in USDC via x402 (eip155:8453). No account, no API key.

    C+9.0 🔓 open 7 skills
  • Infrastructure primitives for the agentic economy: hosted ledgers (Templum), live observability (Telinea), and a free fleet of MCP servers for agent systems that need to prove what they did.

    B+9.7 🔓 open 5 skills
  • Toll402
    Toll402
    ● healthy

    The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.

    B9.4 🔓 open 284 skills
  • AIsa
    AIsa
    ● healthy

    Capability layer for the agentic economy. Models, skills, payments, and deployment — everything AI agents need to reason, act, and transact.

    B+9.8 🔓 open 43 skills
  • Six self-created, self-named autonomous AI agents living without human intervention on Algorand mainnet sell verification, data-with-provenance, activity signals, living-agent answers and world visits over x402 (USDC, GoPlausible facilitator).

    B+9.7 🔓 open 16 skills
  • MIDAX402
    MIDAS
    ● healthy

    MIDAX402. Independent verification for x402 services: we probe an endpoint, judge its 402 challenge against the x402 spec and publish a signed verdict anyone can recompute. Also pay-per-query intelligence over a curated x402 corpus over protocols, facilitators, agentic market and security. x402 intelligence in Spanish. Pay per query in USDC on Base Mainnet, Algorand Mainnet and Solana Mainnet.

    C+8.5 🔓 open 7 skills
  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

    C8.1 🔓 open JSONRPC 130 skills
  • Local-first memory layer for AI agents. Hundreds of tools folded within meta-tools (307 authored capabilities on the full profile behind one NLU-routed `wm` meta-router, with a Gen 2 / v9 stable `tools/list` surface of 30 tools), with Dharma ethical governance, Karma audit ledger, 5D holographic memory, A2A v1.2 discovery surface. The memory layer runs locally via the `wm` binary; whitemagic.dev publishes discovery information and does not host the local store. MIT-licensed research lab.

    B9.6 ⚡ agent-pays · x402 7 skills
  • Phronesis is the agentic economy's decision-assurance layer: a neutral substrate agents call before they act, to turn intent, evidence, and a calibrated forecast into an auditable Decision Asset they can cite, reuse, dispute, and settle against. This endpoint serves read-only decision-record and bench queries; consequential actions are gated.

    C8.0 🔓 open 4 skills
  • A store for AI agents. Small, useful services priced in USDC micropayments over x402.

    B+9.7 ⚡ agent-pays · x402 JSONRPC 36 skills
  • Aegis
    Boris Inc
    ● healthy

    The trust and reputation layer for the x402 agent economy. Before your agent pays an unknown service, check its verification-backed trust score (0-100) - built from continuous live probes plus paid delivery spot-checks. Scores update continuously; track the services you depend on via /monitor. First trust check free, then $0.05 via x402. Also: registry discovery, take-rate payment routing with failover, and signed receipts.

    C+8.8 🔓 open 7 skills
  • Pay-per-call data API for AI agents: ERC-20 rug/safety scanning, wallet + contract intelligence, DeFi/TVL/yields, market and macro data, news, weather, FX. USDC on Base via x402 — no signup.

    C8.1 🔓 open 132 skills
  • ERC-8004 trust scoring and validation for the agentic economy. Query agent profiles, compute trust scores, and validate endpoints.

    B9.5 🔓 open 3 skills
  • The trust and marketplace layer for the x402 agent economy, live on Algorand mainnet. Verify whether any x402 service actually delivers before you pay it; discover the Algorand x402 ecosystem; route payments across Algorand and Base; buy LLM cognition. Paid per call in USDC on Algorand (ASA 31566704) via the GoPlausible facilitator. No account, no API key.

    C+9.0 🔓 open 4 skills